<?php
ob_start();
session_start();


// ini_set('display_errors', 1);
// ini_set('display_startup_errors', 1);
// error_reporting(E_ERROR);


include_once('class.pagamento.php');
include_once('../../class/class.mysql.php');
include_once('../../include/utilitarios.php');
include_once('../class.evento.php');
$mysqlCom = new MysqlConnect();
$Pagamento = new Pagamento();
$Evento = new Evento();
extract($_POST);
$UsuarioSistema = $_SESSION['fild_vfoto_login'];

if ($ax == 'QtoDiv') {
	$Pagamento->QtoDiv($id_evento);
}

if ($ax == 'InsertNaoQuitado') {
	$valor = str_replace(',', '.', str_replace('.', '', $valor));
	$dt = explode('/', $data);
	for ($i = 1; $i <= $repetir; $i++) {
		$data_t = mktime(0, 0, 0, $dt[1] + ($i - 1), $dt[0], $dt[2]);
		$data_t = date('Y/m/d', $data_t);
		$Pagamento->InsertNaoQuitados($id_evento, $tipo_pagamento, $data_t, $valor);
	}
}

if ($ax == 'UpdateNaoQuitado') {
	$valor = str_replace(',', '.', str_replace('.', '', $valor));
	$data = DataInvertida($data);
	$Pagamento->UpdateNaoQuitado($id_evento_recebimento, $tipo_pagamento, $data, $valor);
}


if ($ax == 'ValorTotal') {
	echo FormatoValor($Pagamento->ValorTotalNQ($id_evento));
}

if ($ax == 'DeleteNaoQuitado') {
	$Pagamento->DeleteNaoQuitado($id_evento_recebimento);
}

if ($ax == 'TotalRecebido') {
	echo FormatoValor($Pagamento->ValorTotalRecebido($id_evento));
}

if ($ax == 'DiferencaValores') {
	$ValorEvento   = $Pagamento->SelectValorEvento($id_evento);
	$ValorRecebido = $Pagamento->ValorTotalRecebido($id_evento);
	echo FormatoValor($ValorEvento - $ValorRecebido);
}


if ($ax == 'InsertPagamento') {
	$data = DataInvertida($data);
	$data_vencimento = DataInvertida($data_vencimento);
	$Pagamento->SelectQuitado($id_evento);
	while ($row = mysqli_fetch_object($Pagamento->qry)) {
		if ($row->descricao == 'Cheque') {
			$bloco = ' Cheque ' . $row->conta . ' ' . $row->num_cheque . ' ' . FormatoValor($row->valor) . $bloco;
		}
		if ($row->descricao = 'Deposito') {
			$bloco = ' Deposito ' . $row->conta . ' ' . FormatoValor($row->valor) . $bloco;
		}
	}

	$Pagamento->Recebimento($id_evento, $tipo_pagamento, $data, $valor, $banco, $agencia, $conta, $num_cheque, $UsuarioSistema, $id_cliente_cheque, $id_evento_recebimento, $data_vencimento);
	$Evento->GerenciarLocalizador($id_evento, 3, $bloco);
}

if ($ax == 'SalvarValorContrato') {
	$valor = str_replace(',', '.', str_replace('.', '', $valor));
	$Pagamento->SalvarValorContrato($id_evento, $valor);
}

if ($ax == 'ValorContrato') {
	echo FormatoValor($Pagamento->SelectValorEvento($id_evento));
}
